import java.awt.*;
import java.awt.event.*;

public class mainProg extends Frame implements ActionListener, WindowListener
{
	private Button exampleButton;
	private Button introButton;
	private Button methodButton;
	private Button quizButton;
	
	private Class1 examples;
	private quiz quizzes;
	public static void main(String[] args)
	{
		mainProg f = new mainProg();
		f.setSize(500,500);
		f.setVisible(true);
	}
	public mainProg()
	{
		Font font =new Font("Serif",Font.BOLD+Font.ITALIC,20);
		
		this.addWindowListener(this);
		this.setLayout(null);
		this.setTitle("1D-Arrays");
		
		exampleButton=new Button("Examples");
		introButton = new Button("Introduction");
		methodButton = new Button("Methods");
		quizButton = new Button("Quiz");
		
		introButton.setBounds(100,30,300,50);
		methodButton.setBounds(100,100,300,50);
		exampleButton.setBounds(100,170,300,50);
		quizButton.setBounds(100,400,300,50);
		
		exampleButton.setFont(font);
		introButton.setFont(font);
		methodButton.setFont(font);
		quizButton.setFont(font);
		
		exampleButton.setBackground(new Color(200,255,200));
		introButton.setBackground(new Color(255,200,200));
		methodButton.setBackground(new Color(200,200,255));
		quizButton.setBackground(new Color(200,200,200));
		
		
		
		add(introButton);
		add(methodButton);
		add(exampleButton);
		add(quizButton);
		
		introButton.addActionListener(this);
		methodButton.addActionListener(this);
		exampleButton.addActionListener(this);
		quizButton.addActionListener(this);
		
		examples = new Class1(); examples.setVisible(false);		
		quizzes=new quiz();quizzes.setVisible(false);
	}
	public void paint(Graphics g)
	{
	
		g.setFont(new Font("Serif",Font.BOLD,100));

		g.setColor(new Color(200,200,200));
		g.drawString("A R R A Y",20,280);
					
		for(int i=0;i<25;i++)
		{
			g.setColor(new Color(i*10,i*10,i*10));
					
			g.drawOval(100+3*i,100+3*i,500-6*i,500-6*i);
			g.drawOval(130,i*20,20,20);
			g.drawOval(130+2,i*20+2,16,16);
		}
					
		g.setColor(Color.gray);
		for(int i=0;i<8;i++)
		{
			g.drawRect(50+50*i,300,40,40);
			g.drawRect(51+50*i,301,38,38);
			g.drawRect(52+50*i,302,36,36);
			if(i!=7)
			g.fillRect(90+50*i,319,10,2);
						
			g.setFont(new Font("serif",Font.BOLD+Font.ITALIC,24));
			g.drawString(""+i,50*i+53,325);
		}
	}
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource()==quizButton)
		{
			if(quizzes.isVisible()==false)
			{
				quizzes=new quiz();
				quizzes.setVisible(true);
				quizzes.setSize(500,500);
				quizzes.setResizable(false);
				quizzes.setLocation(this.getLocation().x+20,this.getLocation().y+20);
		
			}
		}
		if(e.getSource()==exampleButton)
		{
			if(examples.isVisible()==false)
			{
				examples=new Class1();
				examples.setVisible(true);
				examples.setSize(500,500);
				examples.setResizable(false);
				examples.setLocation(this.getLocation().x+20,this.getLocation().y+20);
		
			}
		}
		
	}
	public void windowClosing(WindowEvent e){System.exit(0);}
	public void windowClosed(WindowEvent e){}
	public void windowOpened(WindowEvent e){}
	public void windowIconified(WindowEvent e){}
	public void windowDeiconified(WindowEvent e){}
	public void windowActivated(WindowEvent e){}
	public void windowDeactivated(WindowEvent e){}
}
